kate(1)

kate - Altnivela tekstredaktilo de KDE

kate [-s, --start nomo] [--startanon] [-n, --new] [-b, --block] [-p, --pid pid] [-e, --encoding nomo] [-l, --line linio] [-c, --column kolumno] [-i, --stdin] [--tempfile] [dosiero]

Priskribo

Kate estas la KDE Altnivela Tekstredaktilo.

Kate ankaŭ provizas la redaktan parton por diversaj aplikaĵoj, sub la nomo KWrite.

Kelkaj el la multaj funkcioj de Kate inkluzivas agordeblan sintaksan reliefigon por lingvoj de C kaj C++ al HTML al bash-skriptoj, la kapablo krei kaj konservi projektojn, multoblan dokumentinterfacon (MDI), kaj memstara fina emulilo.

Sed Kate estas pli ol redaktilo de programisto. Ĝia kapablo malfermi plurajn dosierojn samtempe faras ĝin ideala por redakti la multajn agordajn dosierojn de UNIX®. Ĉi tiu dokumento estis skribita en Kate.

Opcioj

-s, --start nomo
    Komencu Kate kun donita seanco.

--startanon
    Lanĉi Kate kun nova anonima seanco, implicas -n.

-n, --nova
    Devigi lanĉon de nova Kate-instanco (estas ignorita se start estas uzata kaj alia petskribo de Kate jam havas la donitan seancon malfermita), devigita se neniuj parametroj kaj URL-oj estas donitaj.

-b, --bloki
    Se vi uzas jam funkciantan Kate-instancon, bloki ĝis kiam ĝi eliras, se URLoj donitaj por malfermi.

-p, --pid pid
    Nur provi reuzi kate-instancon kun ĉi tiu pid (estas ignorita se komenco estas uzata kaj alia Kate-instanco jam havas la donitan seancon malfermita).

-e, --encoding nomo
    Agordu kodigon por malfermi la dosieron.

    Vi povas uzi ĉi tion por devigi dosieron malfermitan en formato utf-8, ekzemple. (La komando iconv -l provizas liston de kodigoj, kiuj povas esti helpemaj al vi.)

-l, --line linio
    Iru al ĉi tiu linio.

-c, --column kolumno
    Iru al ĉi tiu kolumno.

-i, --stdin
    Legu la enhavon de stdin.

--tempfile
    La dosieroj/URL malfermitaj de la aplikaĵo estos forigitaj post uzo.

dosiero
    Dosiero por malfermi.

Vidu Ankaŭ
    Pli detala uzantdokumentado haveblas ĉe help:/kate (aŭ enigu ĉi tiun URL en Konqueror, aŭ rulu khelpcenter helpo:/kate).
    kf5opcioj (7)
    qt5opcioj (7)
    Estas ankaŭ pliaj informoj haveblaj ĉe la Kate-retejo[1].

Ekzemploj

Por malfermi dosieron nomitan source.cpp ĉe kolumno 15, linio 25, en ekzistanta Kate-fenestro, vi povus uzi:

    kate -c 15 -l 25 source.cpp

Se vi havas aktivan interretan konekton, vi povas utiligi la retan travideblecon de KDE por malfermi dosieron de FTP retejo. Se vi ne havas skribpermeson sur la fora servilo, la dosiero estos malfermita nurlegebla kaj oni petos vin pri loka dosiernomo por konservi se vi faras ŝanĝojn. Se vi ja havas skribpermeson, ŝanĝoj estos konservitaj travideble tra la reto.

    kate ftp://ftp.kde.org/pub/kde/README

Aŭtoroj

La prizorganto de Kate estas Christoph Cullmann <cullmann@kde.org>. Ampleksa listo de aŭtoroj kaj kontribuantoj estas havebla en la kompleta uzantmanlibro menciita supre.

Lauri Watts <lauri@kde.org>

1.  Kate-retejo
    https://kate-editor.org/